body {
    background-color: black;
    margin: 0px;
    font-family: tahoma;
    color: #282828;
}

.button {
    margin: 30px;
    background-color: #39495c;
    border-radius: 5px;
    font-size: 18px;
    width: 160px;
    height: 60px;
    color: white;
    padding: 20px;
    box-shadow: inset 0 -0.6em 1em -0.35em rgba(0, 0, 0, 0.17), inset 0 0.6em 2em -0.3em rgba(255, 255, 255, 0.15), inset 0 0 0em 0.05em rgba(255, 255, 255, 0.12);
    text-align: center;
    cursor: pointer;
}

.infobar {
    margin: 25px 100px;
    float: right;
    border: 1px solid #d8d8d8;
    padding: 10px 30px;
    background-color: white;
    -webkit-box-shadow: 0px 2px 15px -12px rgba(0, 0, 0, 0.57);
    -moz-box-shadow: 0px 2px 15px -12px rgba(0, 0, 0, 0.57);
    box-shadow: 2px 15px -12px rgba(0, 0, 0, 0.57);
}

.disabledButton {
    background-color: #d8d8d8;
    cursor: not-allowed;
}

h1 {
    font-size: 50px;
}

h3 {
    font-size: 25px;
}

ul {
    list-style-type: none;
}

li {
    font-size: 18px;
}

.nav-bar {
    background: linear-gradient(-90deg, #84cf6a, #16c0b0);
    height: 60px;
    margin-bottom: 25px;
    -webkit-box-shadow: 0px 2px 15px -12px rgba(0, 0, 0, 0.57);
    -moz-box-shadow: 0px 2px 15px -12px rgba(0, 0, 0, 0.57);
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.57);
}

p {
    font-size: 22px;
}

.review-container {
    width: 90%;
    margin: auto;
    padding: 20px;
    background-color: white;
    border: 2px solid #d71920;
}

.review-container li {
    margin-bottom: 30px;
}

.review-form .button {
    display: block;
    margin: 30px auto;
}

.review-postid {
    font-size: 14px
}

.text-left {
    position: absolute;
    top: 6px;
    left: 0;
    text-align: left;
    margin-left: 20px;
}

.text-center {
    position: absolute;
    top: 6px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
}

.text-right {
    position: absolute;
    top: 6px;
    right: 0;
    text-align: right;
    margin-right: 20px;
}

.dialog-redirect li a {
    color: black;
    xtext-decoration: none;
}

.dialog-redirect li a:hover {
    color: black;
    xtext-decoration: underline;
}

.display {
    color: #ffda17;
    font-family: sans-serif, "Trebuchet MS", Arial, Helvetica;
    font-size: 30px;
    white-space: nowrap;
    text-align: left;
}

.display .headWrapper {
    position: relative;
}

.display .header {
    width: 100%;
    padding: 0 0 10px 0;
    background-color: #d71920;
    height: 86px;
    min-height: 86px;
    position: relative;
}

.display .header .stationname {
    background-color: #d71920;
    min-height: 74px;
    height: 74px;
}

.display .header .logo {
    position: absolute;
    left: 10px;
    top: 10px;
    height: 60px;
    width: 100px;
    xbackground-color: white;
}

.display .header .logo img {
    height: 45px;
}

.display .header .logo-decin {
    left: auto;
    right: 10px;
    width: 175px;
}

.display .header .logo-navigation img {
    margin-left: 15px;
    height: 45px;
}

.display .header .stationname {
    color: white;
    text-align: center;
    font-size: 60px;
}

.display .header .stationname a {
    color: white;
    text-decoration: none;
}

.display .header .stopname {
    white-space: normal;
    width: 70%;
    display: inline-block;
}

.display .timeline {
    position: relative;
    font-size: 38px;
    text-align: center;
    height: 44px;
}

.display .searchform {
    position: relative;
    font-size: 20px;
    height: 44px;
}

#searchStationAutocomplete {
    position: relative;
    display: inline-block;
    width: 60%;
}

.display .searchform #searchStation {
    height: 30px;
    width: 100%;
    font-size: 20px;
    border-radius: 3px;
    padding-left: 3px;
    border-color: white;
    border-style: solid;
}

.display #searchList {
    position: absolute;
    width: 100%;
    max-height: 230px;
    font-size: 24px;
    z-index: 999;
    background-color: #fff;
    margin: 0px;
    border-radius: 3px;
    padding-left: 3px;
    border-color: white;
    border-style: solid;
    color: #000;
    overflow-y: scroll;
    border-top: 1px solid rgb(200, 200, 200);
}

.display #searchList a {
    color: #000;
    text-decoration: none;
    width: 100%;
    display: inline-block;
}

.display #searchList li:hover,
.display #searchList li.link-active {
    background-color: #c3c3c3;
}

#searchStationArea #searchList {
    display: none;
}

#searchStationArea.active #searchList {
    display: block;
}

.display .controlPanelRight {
    display: inline-block;
    top: 10px;
    right: 20px;
    position: absolute;
}

.display .controlPanelRight input,
.display .controlPanelRight label {
    cursor: pointer;
}

.display .delay {
    font-size: 19px;
}

.display .carrier {
    font-size: 19px;
    font-weight: normal;
}

.display table {
    border-spacing: 0;
    width: 100%;
}

.display table .activeRow {
    cursor: pointer;
}

.display table .color-2 {
    color: LimeGreen;
}

.display table .color-3 {
    color: Aqua;
}

.display table .color-routeActual {
    //color: rgb(180, 27, 27);
    color: White;
}

.display table .blink {
    animation: blinker 2s step-start infinite;
    //animation-delay: 1s;
    animation-composition: replace;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

.display table th {
    border-top: 1px solid;
    border-bottom: 1px solid;
    color: #2f2f2f;
    background-color: #c3c3c3;
    padding: 2px 20px;
}

.display table td {
    font-size: 38px;
    padding: 10px 20px 4px;
}

.display table td.searchform {
    padding: 0px 20px 4px;
}

.display table.footTable tr {
    display: block;
}

.display table.footTable td {
    padding: 6px 3px;
    display: block;
}

.display table tr.departure:nth-child(odd) {
    background-color: #2f2f2f;
}

.display table .platform {
    width: 7%;
    text-align: right;
}

.display table .linehead {
    text-align: left;
}

.display table .line {
    width: 7%;
    text-align: left;
    font-weight: bold;
    line-height: 60%;
    margin-top: 30px;
}

.display table .departuretime {
    line-height: 60%;
}

.display table .departuretime,
.display table .note {
    width: 13%;
    text-align: right;
}

.display table tfoot {
    position: fixed;
    bottom: 0px;
    width: 100%;
    background-color: #2f2f2f;
    color: #ffffff;
}

.select-arrow {
    border-color: #999 transparent transparent;
    border-style: solid;
    border-width: 5px 5px 2.5px;
    height: 0;
    width: 0;
    position: relative;
    left: -22px;
    top: 16px;
    cursor: pointer;
}

#searchStationArea.active .select-arrow {
    border-color: transparent transparent #999;
    top: -16px;
    border-width: 5px 5px 5px;
}

.forMobile {
    display: none;
}

@media only screen and (max-width: 1280px) {
    .display table td {
        font-size: 30px;
    }
    .display .delay {
        font-size: 16px;
    }
    .display .carrier {
        font-size: 16px;
    }
    #searchStationAutocomplete {
        width: 40%;
    }
}

@media only screen and (max-width: 1024px) {
    .forMobile {
        display: inline;
    }
    .noMobile {
        display: none;
    }
    .note {
        display: none;
    }
    .display .header .logo img {
        height: 35px;
    }
    .display .header .logo-decin {
        width: 135px;
    }
}

@media only screen and (max-width: 900px) {
    .display {
        font-size: 16px;
    }
    .display table td {
        font-size: 16px;
        padding: 10px 10px 4px;
    }
    .display table th {
        padding: 2px 10px;
    }
    .display .timeline {
        font-size: 20px;
        height: 24px;
    }
    .display .delay {
        font-size: 10px;
    }
    .display .carrier {
        font-size: 10px;
    }
    .display .header .stationname {
        font-size: 36px;
    }
    .display .header .logo-navigation img {
        margin-left: 10px;
        height: 30px;
    }
    .display .header .logo,
    .select-arrow {
        display: none;
    }
    .display .header .stopname {
        width: 100%;
    }
    .display table,
    .display tbody,
    .display .departureNames,
    .display .departure {
        white-space: normal;
    }
    .display .controlPanelRight {
        display: block;
        width: 100%;
        text-align: center;
        position: unset;
        font-size: 12px;
    }
    #searchStationAutocomplete {
        text-align: center;
        width: 90%;
        margin-top: 12px;
        margin-bottom: 5px;
        margin-left: 4%;
    }
    .display table .departureNames {
        font-size: 10px;
    }
    .display table .departuretime {
        width: 20%;
    }
    #searchList {
        text-align: left;
    }
}

@media only screen and (max-width: 450px) {
    .display {
        font-size: 12px;
    }
    .display table td {
        font-size: 12px;
    }
    .display table td.searchform {
        padding: 0px;
    }
    .display .timeline {
        font-size: 14px;
        height: 20px;
    }
    .display .delay {
        font-size: 7px;
    }
    .display table .departuretime {
        width: 22%;
    }
    .display .carrier {
        font-size: 8px;
    }
    .display .header .stationname {
        font-size: 26px;
    }
    .display .header .logo,
    .select-arrow {
        display: none;
    }
    .display table th,
    .display table td {
        padding: 6px 4px;
    }
    .display .header .stationname.noStopName .logo {
        display: block;
        margin-top: 13px;
    }
    .display .header .stationname.noStopName .logo-left {
        right: 55%;
        left: auto;
        width: 135px;
    }
    .display .header .stationname.noStopName .logo-right {
        left: 55%;
        right: none;
    }
}